#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n,q,i;
    scanf("%d%d",&n,&q);
    vector<int> a(n);
    vector<int>::iterator manje;
    int b;
    for(i=0;i<n;i++){
        scanf("%d",&a[i]);
    }
    sort(a.begin(),a.end());
    int med=a[n/2],m=0;
    for(i=0;i<q;i++){
        scanf("%d",&b);
        if(b==med){
            printf("0");
        }
        else {
            if(b<med){
                manje=upper_bound(a.begin(),a.end(),b);
                if(b==*(manje-1)){
                    m=(int)(manje-a.begin()-1);
                    printf("%d",abs(n+-2*m)-1);
                }
                else{
                    m=(int)(manje-a.begin());
                    printf("%d",abs(n+-2*m)+1);
                }
            }
            else{
                manje=lower_bound(a.begin(),a.end(),b);
                m=(int)(manje-a.begin());
                printf("%d",abs(n+-2*m));
            }
            
        }
    }
    return 0;
}